AI Driving Olympics Home Challenges Submissions Jobs

Submission 3552

Submission3552
Competingyes
Challengeaido2-LFV-real-validation
UserBea Baselines
Date submitted
Completeincomplete
Result
Jobseval0: 23084 eval0-extractATs: 23128 eval0-videos: 23088 eval0-videos-autobots: 23524 eval0-videos-watchtowers: 23525 eval1: 23376
Nexteval1
User labelRunning the real lane following -- without challenge container
Admin priority120
User priority120

23525

23524

23088

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
235253552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-watchtowerssuccessyes-0:11:47(hidden)
235243552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotssuccessyes-0:01:14(hidden)
234073552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedyes-3:00:21
Waited 10803 seconds [...]
Waited 10803 seconds for container to finish. Giving up. 
(hidden)
234053552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedno-0:23:08
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 544, in get_cr
    uploaded = upload_files(wd, aws_config, copy_to_machine_cache=copy_to_machine_cache)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1123, in upload_files
    uploaded = upload(aws_config, toupload, copy_to_machine_cache=copy_to_machine_cache)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1373, in upload
    aws_object.load()
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/boto3/resources/factory.py", line 505, in do_action
    response = action(self, *args, **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/boto3/resources/action.py", line 83, in __call__
    response = getattr(parent.meta.client, operation_name)(**params)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/endpoint.py", line 135, in _send_request
    request, operation_model, context)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/endpoint.py", line 167, in _get_response
    request, operation_model)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/endpoint.py", line 200, in _do_get_response
    http_response = self._send(request)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/endpoint.py", line 244, in _send
    return self.http_session.send(request)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/botocore/httpsession.py", line 258, in send
    decode_content=False,
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
    conn.connect()
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connection.py", line 344, in connect
    ssl_context=context)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 344, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/home/aleksanndar/miniconda3/lib/python3.7/ssl.py", line 412, in wrap_socket
    session=session
  File "/home/aleksanndar/miniconda3/lib/python3.7/ssl.py", line 853, in _create
    self.do_handshake()
  File "/home/aleksanndar/miniconda3/lib/python3.7/ssl.py", line 1117, in do_handshake
    self._sslobj.do_handshake()
KeyboardInterrupt
(hidden)
233763552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval1timeoutyes-5:05:23
I can see how the jo [...]
I can see how the job 23376 is timeout because passed 18323 seconds and the timeout is 18000.0.
(hidden)
233153552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-watchtowerssuccessno-0:05:28(hidden)
233143552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotssuccessno-0:00:41(hidden)
233133552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotshost-errorno-0:01:53
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job23313-557676', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job23313-557676', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Some networks were defined but are not used by any service: evaluation
stderr | Creating volume "job23313-557676_fifos" with default driver
stderr | Creating job23313-557676_evaluator_1 ...
stderr | 
stderr | Creating job23313-557676_evaluator_1 ... error
stderr | 
stderr | ERROR: for job23313-557676_evaluator_1  Cannot start service evaluator: b'Mounts denied: \r\nThe path /ipfs\r\nis not shared from OS X and is not known to Docker.\r\nYou can configure shared paths from Docker -> Preferences... -> File Sharing.\r\nSee https://docs.docker.com/docker-for-mac/osxfs/#namespaces for more info.\r\n.'
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: b'Mounts denied: \r\nThe path /ipfs\r\nis not shared from OS X and is not known to Docker.\r\nYou can configure shared paths from Docker -> Preferences... -> File Sharing.\r\nSee https://docs.docker.com/docker-for-mac/osxfs/#namespaces for more info.\r\n.'
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
232073552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedno-0:00:21
Timeout because eval [...]
Timeout because evaluator contacted us
(hidden)
231283552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-extractATsabortedyes-0:16:50
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 544, in get_cr
    uploaded = upload_files(wd, aws_config, copy_to_machine_cache=copy_to_machine_cache)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1123, in upload_files
    uploaded = upload(aws_config, toupload, copy_to_machine_cache=copy_to_machine_cache)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1373, in upload
    aws_object.load()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/boto3-1.9.115-py3.7.egg/boto3/resources/factory.py", line 505, in do_action
    response = action(self, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/boto3-1.9.115-py3.7.egg/boto3/resources/action.py", line 83, in __call__
    response = getattr(parent.meta.client, operation_name)(**params)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 137, in _send_request
    success_response, exception):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 231, in _needs_retry
    caught_exception=caught_exception, request_dict=request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 356, in emit
    return self._emitter.emit(aliased_event_name, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 228, in emit
    return self._emit(event_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 211, in _emit
    response = handler(**kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/utils.py", line 1146, in redirect_from_error
    new_region = self.get_bucket_region(bucket, response)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/utils.py", line 1203, in get_bucket_region
    response = self._client.head_bucket(Bucket=bucket)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 148, in _send_request
    request, operation_model, context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 167, in _get_response
    request, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 200, in _do_get_response
    http_response = self._send(request)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 244, in _send
    return self.http_session.send(request)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/httpsession.py", line 258, in send
    decode_content=False,
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
    conn.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connection.py", line 301, in connect
    conn = self._new_conn()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connection.py", line 159, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/util/connection.py", line 70, in create_connection
    sock.connect(sa)
KeyboardInterrupt
(hidden)
231183552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-watchtowersabortedno-0:12:04(hidden)
231173552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-watchtowersabortedno-0:00:39
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job23117-175025', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job23117-175025', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Some networks were defined but are not used by any service: evaluation
stderr | Creating volume "job23117-175025_fifos" with default driver
stderr | Creating job23117-175025_evaluator_1_2802954d6977 ...
stderr | 
stderr | Creating job23117-175025_evaluator_1_2802954d6977 ... error
stderr | 
stderr | ERROR: for job23117-175025_evaluator_1_2802954d6977  Cannot start service evaluator: error while creating mount source path '/ipfs': mkdir /ipfs: file exists
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: error while creating mount source path '/ipfs': mkdir /ipfs: file exists
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
231153552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-watchtowersabortedno-0:00:10
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/http.py", line 255, in _do_raise_for_status
    response.raise_for_status()
  File "/usr/local/lib/python3.6/dist-packages/requests/models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http+ip4://127.0.0.1:5001/api/v0/swarm/connect?stream-channels=true&arg=%2Fdns4%2Fipfs.duckietown.org%2Ftcp%2F4001%2Fipfs%2FQmPyoL4ZwaTYtGsvFG8A5fG85tQH5sCHWtexkNVjqa52iK

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/project/src/duckietown_challenges_runner/runner.py", line 541, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/project/src/duckietown_challenges_runner/runner.py", line 605, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/project/src/duckietown_challenges_runner/runner.py", line 877, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/project/src/duckietown_challenges_runner/runner.py", line 1151, in download_artefacts
    res = client.swarm_connect(peer)
  File "/usr/local/lib/python3.6/dist-packages/ipfsapi/client/__init__.py", line 205, in wrapper
    return value(*args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/client/base.py", line 15, in wrapper
    result = func(*args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/client/swarm.py", line 137, in connect
    return self._client.request('/swarm/connect', args, decoder='json', **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/http.py", line 44, in wrapper
    return func(self, *args, **merged)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/http.py", line 364, in request
    files, headers, data, timeout=timeout)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/http.py", line 286, in _request
    self._do_raise_for_status(res)
  File "/usr/local/lib/python3.6/dist-packages/ipfshttpclient/http.py", line 273, in _do_raise_for_status
    six.raise_from(exceptions.ErrorResponse(msg, error), error)
  File "<string>", line 3, in raise_from
ipfshttpclient.exceptions.ErrorResponse: connect QmPyoL4ZwaTYtGsvFG8A5fG85tQH5sCHWtexkNVjqa52iK failure: dial attempt failed: <peer.ID T35iPP> --> <peer.ID PyoL4Z> dial attempt failed: context deadline exceeded
(hidden)
231123552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedno-0:03:38(hidden)
231113552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedno-0:00:41
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job23111-434209', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job23111-434209', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Some networks were defined but are not used by any service: evaluation
stderr | Creating volume "job23111-434209_fifos" with default driver
stderr | Creating job23111-434209_evaluator_1_eb967a4ded45 ...
stderr | 
stderr | Creating job23111-434209_evaluator_1_eb967a4ded45 ... error
stderr | 
stderr | ERROR: for job23111-434209_evaluator_1_eb967a4ded45  Cannot start service evaluator: error while creating mount source path '/ipfs': mkdir /ipfs: file exists
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: error while creating mount source path '/ipfs': mkdir /ipfs: file exists
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
231003552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videos-autobotsabortedno-1:05:40
I can see how the jo [...]
I can see how the job 23100 is timeout because passed 3940 seconds and the timeout is 3600.0.
(hidden)
230883552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videosabortedyes-2:00:47
Waited 7201 seconds [...]
Waited 7201 seconds for container to finish. Giving up. 
(hidden)
230863552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0-videosabortedno-1:01:58
Waited 3600 seconds [...]
Waited 3600 seconds for container to finish. Giving up. 
(hidden)
230843552Bea BaselinesRunning the real lane following -- without challenge containeraido2-LFV-real-validationeval0successyes-6:24:51
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
(hidden)
driven_lanedir_consec_median3.4799999999999995
survival_time_median17


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-17", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Nicole", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "passive", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "passive", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot05": {"name": "2_multi01_duckiebot_select_autobot05", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot07": {"name": "2_multi01_duckiebot_select_autobot07", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "1", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": true, "readable_string": "Report on light conditions"}, "3_hidden_autolab_helper_command": {"name": "3_hidden_autolab_helper_command", "output": "python3 autolab_helper_script.py 3552 aido2-LFV-real-validation autobot02 autobot01 autobot03 ", "readable_string": "The autolab helper script launch command"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": true, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1558089771.392364", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1558089793.744306", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": false, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "17", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "6", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_02dataIpfsHash": {"name": "10_02dataIpfsHash", "output": "QmeMQsysrZmYxtcRUMYprxPZZY3ZaqxhGmUV1iaW4DBCLi ", "readable_string": "IPFS hash of the experiment"}, "10_04cleanupCheck": {"name": "10_04cleanupCheck", "output": false, "readable_string": "The IPFS Docker terminal and the local storage were cleaned"}, "10_05autolabCleaned": {"name": "10_05autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_01dataUploadCheck": {"name": "10_01dataUploadCheck", "output": false, "readable_string": "The data was uploaded to the IDSC NAS"}, "10_03dataPinningCheck": {"name": "10_03dataPinningCheck", "output": false, "readable_string": "The data is accessible through IPFS"}}